org.restlet.engine

## Enum Edition

- java.lang.Object
- - java.lang.Enum<Edition>
  - - org.restlet.engine.Edition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Edition>

    public enum Edition
    extends java.lang.Enum<Edition>

Enumeration of Restlet editions.

Author:
  Jerome Louvel

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANDROID` Android mobile OS, Google App Engine, Google Web Toolkit, JEE, JSE.
`GAE`
`GWT`
`JEE`
`JSE`

### Field Summary

Fields
`static Edition` `CURRENT` The current engine edition.

### Method Summary

Methods
`java.lang.String` `getFullName()` Returns the full size name of the edition.
`java.lang.String` `getMediumName()` Returns the medium size name of the edition.
`java.lang.String` `getShortName()` Returns the short size name of the edition.
`static Edition` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Edition[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ANDROID

    public static final Edition ANDROID

Android mobile OS, Google App Engine, Google Web Toolkit, JEE, JSE.

#### GAE

    public static final Edition GAE

#### GWT

    public static final Edition GWT

#### JEE

    public static final Edition JEE

#### JSE

    public static final Edition JSE

### Field Detail

#### CURRENT

    public static final Edition CURRENT

The current engine edition.

### Method Detail

#### values

    public static Edition[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Edition c : Edition.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Edition valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getFullName

    public java.lang.String getFullName()

Returns the full size name of the edition.

Returns:
  The full size of the edition.

#### getMediumName

    public java.lang.String getMediumName()

Returns the medium size name of the edition.

Returns:
  The medium size name of the edition.

#### getShortName

    public java.lang.String getShortName()

Returns the short size name of the edition.

Returns:
  The short size name of the edition.